require_relative 'lib/ucb_rails_cli/version'

Gem::Specification.new do |spec|
  spec.name          = "ucb_rails_cli"
  spec.version       = UcbRailsCli::VERSION
  spec.authors       = ["Darin Wilson"]
  spec.email         = ["darinwilson@gmail.com"]

  spec.summary       = %q{Spin up a new UCB Rails app}
  spec.description   = %q{Spin up a new UCB Rails app with many features needed for UCB apps already built in}
  spec.homepage      = "https://github.com/ucb-ist-eas/ucb_rails_cli"
  spec.license       = "MIT"

  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = spec.homepage
  spec.metadata["changelog_uri"] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "bin"
  spec.executables   = ["ucb_rails"]
  spec.require_paths = ["lib"]

  spec.add_dependency "thor", "~> 0.20"

  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
